summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStu Tomlinson <nosnilmot@pidgin.im>2006-08-20 17:49:58 +0000
committerStu Tomlinson <nosnilmot@pidgin.im>2006-08-20 17:49:58 +0000
commit68b69136728033b5cbfada3f9e98864d5473edc3 (patch)
treec57d9ce6e6824236b485195a1a742d204f5aa73f /autogen.sh
parentd7034f583c911e312d241394be885de6b44c149e (diff)
downloadpidgin-68b69136728033b5cbfada3f9e98864d5473edc3.tar.gz
[gaim-migrate @ 16910]
Fix autogen.sh to run glib-gettextize Fix CFLAGS when gstreamer is not installed Make things work with gtk < 2.6, in part by borrowing some code from gdk Don't link gntgaim with gstreamer, xss or sm
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index a67124fe16..bac3e5e4c7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,12 @@
#!/bin/sh
+(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+ echo;
+ echo "You must have glib-gettextize installed to compile Gaim";
+ echo;
+ exit;
+}
+
(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
echo;
echo "You must have intltool installed to compile Gaim";
@@ -46,6 +53,7 @@ do
done
libtoolize -c -f --automake
+glib-gettextize --force --copy
intltoolize --force --copy
aclocal $ACLOCAL_FLAGS || exit;
autoheader || exit;